package rition.common.configure;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.data.redis.core.script.DefaultRedisScript;
import org.springframework.data.redis.core.script.RedisScript;
import org.springframework.scripting.support.ResourceScriptSource;

@Configuration
public class RedisLuaConfigure {
    @Bean(name = "constLenQueueRedisScript")
    public RedisScript<Object> constLenQueueRedisScript() {
        Resource luaResource = new ClassPathResource("redis/const_len_queue.lua");
        DefaultRedisScript<Object> redisScript = new DefaultRedisScript<>();
        redisScript.setScriptSource(new ResourceScriptSource(luaResource));

        return redisScript;
    }
}
