package rition.common.data.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import rition.common.data.entity.MetricRecordEntity;

import java.time.Instant;
import java.util.List;

@Mapper
@Component
public interface MetricRecordMapper extends BaseMapper<MetricRecordEntity> {
    int insertBatchSomeColumn(List<MetricRecordEntity> entityList);

    List<MetricRecordEntity> getMetricDataGroupByHour(
            @Param("instanceId") String instanceId,
            @Param("metricItems") List<String> metricItems,
            @Param("startTime") Instant startTime, @Param("endTime") Instant endTime
    );

    List<MetricRecordEntity> getMetricDataGroupByMinute(
            @Param("instanceId") String instanceId,
            @Param("metricItems") List<String> metricItems,
            @Param("startTime") Instant startTime, @Param("endTime") Instant endTime
    );

    List<MetricRecordEntity> getMetricDataGroupBySomeMinute(
            @Param("minutes") Integer minutes,
            @Param("instanceId") String instanceId,
            @Param("metricItems") List<String> metricItems,
            @Param("startTime") Instant startTime, @Param("endTime") Instant endTime
    );
}
