package rition.common.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;

/**
 * 报警规则
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("rule")
public class RuleEntity {
    /**
     * 规则id
     */
    private Long id;

    /**
     * 需要计算的指标项或者表达式(expression)
     */
    private String expr;

    /**
     * 触发条件(condition)
     */
    private Integer cond;

    /**
     * 阈值
     */
    private Double threshold;

    /**
     * 触发方法，实时计算或定时计算(trigger)
     */
    private Integer trig;

    /**
     * 规则描述
     */
    private String comment;

    /**
     * create_time
     */
    private Instant createTime;

    /**
     * update_time
     */
    private Instant updateTime;

    /**
     * status
     */
    private Integer status;
}
